Gecode::Int::Unary::OmegaLambdaNode Class Reference

Node for an omega lambda tree. More...

`#include <unary.hh>`

## Public Member Functions

void | init (const OmegaLambdaNode &l, const OmegaLambdaNode &r)
| Initialize node from left child l and right child r.
void | update (const OmegaLambdaNode &l, const OmegaLambdaNode &r)
| Update node from left child l and right child r.
Public Member Functions inherited from Gecode::Int::Unary::OmegaNode
void | init (const OmegaNode &l, const OmegaNode &r)
| Initialize node from left child l and right child r.
void | update (const OmegaNode &l, const OmegaNode &r)
| Update node from left child l and right child r.

## Public Attributes

int | lp
| Processing times for subtree.
int | lect
| Earliest completion times for subtree.
int | resEct
| Node which is responsible for lect.
int | resLp
| Node which is responsible for lp.
Public Attributes inherited from Gecode::Int::Unary::OmegaNode
int | p
| Processing time for subtree.
int | ect
| Earliest completion time for subtree.

## Static Public Attributes

static const int | undef = -1
| Undefined task.

## Detailed Description

Node for an omega lambda tree.

Definition at line 695 of file unary.hh.

## Member Function Documentation

## init()

void Gecode::Int::Unary::OmegaLambdaNode::init | ( | const OmegaLambdaNode & | l,
|  | const OmegaLambdaNode & | r )

inline

Initialize node from left child l and right child r.

Definition at line 106 of file tree.hpp.

## update()

void Gecode::Int::Unary::OmegaLambdaNode::update | ( | const OmegaLambdaNode & | l,
|  | const OmegaLambdaNode & | r )

inline

Update node from left child l and right child r.

Definition at line 112 of file tree.hpp.

## Member Data Documentation

## undef

const int Gecode::Int::Unary::OmegaLambdaNode::undef = -1

static

Undefined task.

Definition at line 698 of file unary.hh.

## lp

int Gecode::Int::Unary::OmegaLambdaNode::lp

Processing times for subtree.

Definition at line 700 of file unary.hh.

## lect

int Gecode::Int::Unary::OmegaLambdaNode::lect

Earliest completion times for subtree.

Definition at line 702 of file unary.hh.

## resEct

int Gecode::Int::Unary::OmegaLambdaNode::resEct

Node which is responsible for lect.

Definition at line 704 of file unary.hh.

## resLp

int Gecode::Int::Unary::OmegaLambdaNode::resLp

Node which is responsible for lp.

Definition at line 706 of file unary.hh.

The documentation for this class was generated from the following files:

- gecode/int/unary.hh
- gecode/int/unary/tree.hpp